@mixin make-width($s : vars.$class){
    @for $i from 0 to 101 {
        #{$s}w-#{$i}{
            width: #{ 0.25 * $i}rem;
        }
    }
    
    #{$s}w-auto {
        width: auto;
    }
    #{$s}w-fit {
        width: fit-content;
    }
    #{$s}w-px {
        width: 1px;
    }

    #{$s}w-25pr {
        width: 25%;
    }
    #{$s}w-50pr {
        width: 50%;
    }
    #{$s}w-75pr {
        width: 75%;
    }
    #{$s}w-100pr {
        width: 100%;
    }

    #{$s}min-w-initial {
        min-width: initial;
    }
    #{$s}min-w-fit {
        min-width: fit-content;
    }
    #{$s}min-w-min {
        min-width: min-content;
    }
    #{$s}min-w-max {
        min-width: max-content;
    }
    #{$s}min-w-0 {
        min-width: 0;
    }

    #{$s}min-w-25pr {
        min-width: 25%;
    }
    #{$s}min-w-50pr {
        min-width: 50%;
    }
    #{$s}min-w-75pr {
        min-width: 75%;
    }
    #{$s}min-w-100pr {
        min-width: 100%;
    }

    @for $i from 0 to 101 {
        #{$s}max-w-#{$i}{
            max-width: #{ 0.25 * $i}rem;
        }
    }

    #{$s}max-w-initial {
        max-width: initial;
    }
    #{$s}max-w-fit {
        max-width: fit-content;
    }
    #{$s}max-w-min {
        max-width: min-content;
    }
    #{$s}max-w-max {
        max-width: max-content;
    }

    #{$s}max-w-25pr {
        max-width: 25%;
    }
    #{$s}max-w-50pr {
        max-width: 50%;
    }
    #{$s}max-w-75pr {
        max-width: 75%;
    }
    #{$s}max-w-100pr {
        max-width: 100%;
    }
}